/*
This stylesheet is a duplicate of js/ckeditor/contents.css
Its styles are duplicated here for rich text fields rendered during view mode.
If ckeditor is updated, this file should be modified to match the style elements 
DO NOT copy/paste over the whole thing - the selectors are specific for rich text fields only
*/

.ckeditor address,
.ckeditor blockquote,
.ckeditor div,
.ckeditor dl, 
.ckeditor dt, 
.ckeditor fieldset, 
.ckeditor form,
.ckeditor h1, 
.ckeditor h2, 
.ckeditor h3, 
.ckeditor h4,
.ckeditor h5, 
.ckeditor h6, 
.ckeditor ol, 
.ckeditor p, 
.ckeditor ul, 
.ckeditor center,
.ckeditor dir, 
.ckeditor hr, 
.ckeditor menu, 
.ckeditor pre   { 
	display: block !important; 
	unicode-bidi: embed !important; 
}

.section-fieldset .ckeditor,
.summary .ckeditor {
	/* Font */
	font-family: sans-serif, Arial, Verdana, "Trebuchet MS" !important;
	font-size: 13px !important;

	/* Text color */
	color: #333 !important;

	padding: 8px !important;
	
	min-width: 250px;
	max-height: 200px;
	overflow-y: auto;
}


.approval-process-page .section-fieldset .ckeditor {
	min-width: 250px;
	max-width: 575px;
	max-height: none;
}

/* this resets ckeditor's hardcoded width/height of 
referenced images so they don't blow out the page 

- TODO: This should be changed, but will need a complete
stylesheet redesign. Too many styles are affected across
the site by this change. Right now, this means images smaller than full size will scale up.
*/
.section-fieldset.subheading-description .ckeditor img,
.section-fieldset.type-description.ckeditor img {
	/*width: 100% !important;
	height: 100% !important;*/
	/*min-width: 50%;
	max-width: 100%;*/
}


.half-field .section-fieldset .ckeditor, 
.half-field .section-fieldset.ckeditor {
	min-width: 100px;
	max-width: 200px;
}

.summary .ckeditor {
	background: #EEEEEE;
	border: 1px solid #81899B;
}

.ckeditor .cke_editable
{
	font-size: 13px !important;
	line-height: 1.6em !important;
}

.ckeditor blockquote
{
	font-style: italic !important;
	font-family: Georgia, Times, "Times New Roman", serif !important;
	padding: 2px 0 !important;
	border-style: solid !important;
	border-color: #ccc !important;
	border-width: 0 !important;
}

.ckeditor .cke_contents_ltr blockquote
{
	padding-left: 20px !important;
	padding-right: 8px !important;
	border-left-width: 5px !important;
}

.ckeditor .cke_contents_rtl blockquote
{
	padding-left: 8px !important;
	padding-right: 20px !important;
	border-right-width: 5px !important;
}

.ckeditor p,
.ckeditor blockquote, 
.ckeditor ul,
.ckeditor fieldset, 
.ckeditor form,
.ckeditor ol, 
.ckeditor dl, 
.ckeditor dir,
.ckeditor menu { 
	margin-top: 1.12em !important; 
	margin-bottom: 1.12em !important; 
}

.ckeditor a
{
	color: #0782C1 !important;
}

.ckeditor permalink {
	color: green;
	text-decoration: underline;
}

.ckeditor ol,
.ckeditor ul,
.ckeditor dl
{
	/* IE7: reset rtl list margin. (#7334) */
	margin-right: 0px !important;
	/* preserved spaces for list items with text direction other than the list. (#6249,#8049)*/
	padding: 0 40px !important;
	line-height: 1.6em;
}

.ckeditor ol {
	list-style: decimal;
}

.ckeditor ul {
	list-style: disc;
}

.ckeditor li { 
	display: list-item !important; 
}

.ckeditor h1,
.ckeditor h2,
.ckeditor h3,
.ckeditor h4,
.ckeditor h5,
.ckeditor h6
{
	font-weight: normal !important;
	line-height: 1.2em !important;
}

.ckeditor h1 { 
	font-size: 26px !important; 
	margin: .67em 0 !important; 
}

.ckeditor h2 { 
	font-size: 20px !important; 
	margin: .75em 0 !important; 
}

.ckeditor h3 { 
	font-size: 18px !important; 
	margin: .83em 0 !important; 
}

.ckeditor h4 { 
	font-size: 13px !important;
	margin: 1.12em 0 !important;
}

.ckeditor h5 { 
	font-size: 11px !important; 
	margin: 1.5em 0 !important; 
}

.ckeditor h6 { 
	font-size: 9px !important; 
	margin: 1.67em 0 !important; 
}

.ckeditor hr
{
	border: 0px !important;
	background: transparent;
	color: transparent;
	border-top: 1px solid #ccc !important;
	height: 1px;
}

.ckeditor img.right {
    border: 1px solid #ccc !important;
    float: right !important;
    margin-left: 15px !important;
    padding: 5px !important;
}

.ckeditor img.left {
    border: 1px solid #ccc !important;
    float: left !important;
    margin-right: 15px !important;
    padding: 5px !important;
}

.ckeditor img:hover {
	opacity: .9 !important;
	filter: alpha(opacity = 90) !important;
}

.ckeditor pre
{
	white-space: pre-wrap !important; /* CSS 2.1 */
	word-wrap: break-word !important; /* IE7 */
	font-family: monospace !important;
}

.ckeditor strong { 
	font-weight: bolder !important; 
}

.ckeditor blockquote { 
	margin-left: 40px !important; 
	margin-right: 40px !important; 
}

.ckeditor p {
	line-height: 1.5em !important;
}

.ckeditor i, 
.ckeditor cite, 
.ckeditor em,
.ckeditor var, 
.ckeditor address { 
	font-style: italic !important; 
}

.ckeditor sub { 
	font-size: .83em !important; 
	vertical-align: sub !important; 
}

.ckeditor sup { 
	font-size: .83em !important; 
	vertical-align: super !important; 
}

.ckeditor table { 
	display: table !important;
	border-collapse: separate !important;
	border: 1px solid !important;
	border-spacing: 2px !important;
}

.ckeditor tr { 
	display: table-row !important;
	vertical-align: inherit !important;
}

.ckeditor thead { 
	display: table-header-group !important;
	vertical-align: middle  !important;
}

.ckeditor tbody { 
	display: table-row-group  !important;
	vertical-align: middle  !important;
}

.ckeditor tfoot { 
	display: table-footer-group !important;
	vertical-align: middle  !important;
}

.ckeditor col { 
	display: table-column !important; 
}

.ckeditor colgroup { 
	display: table-column-group !important; 
}

.ckeditor td, 
.ckeditor th { 
	display: table-cell !important;
	vertical-align: inherit !important;
	border: 1px solid black !important;
	line-height: 1.6em;
	padding: 1px;
}

.ckeditor caption { 
	display: table-caption !important; 
}
.ckeditor th { 
	font-weight: bolder !important; 
	text-align: center !important; 
}
.ckeditor caption { 
	text-align: center !important; 
}

.cke_editable .permalink,
.ckeditor .permalink {
	color: green !important;
	text-decoration: underline !important;
}

/**
 * This fixes tables loosing their center alignment when in read-only mode.
 */
table[align="center"] {
    margin: 0 auto;
}
